commit:     4ab9c0022d2a5dcc25b57edea80e86773bb9c57e
Author:     Wim Muskee <wimmuskee <AT> gmail <DOT> com>
AuthorDate: Sat Oct 31 07:28:55 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 09:31:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ab9c002

dev-python/prettytable: version bump to 2.0.0, add pypy3 PYTHON_COMPAT

and update metadata

Signed-off-by: Wim Muskee <wimmuskee <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18087
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/prettytable/Manifest                 |  1 +
 dev-python/prettytable/metadata.xml             |  3 ++-
 dev-python/prettytable/prettytable-2.0.0.ebuild | 33 +++++++++++++++++++++++++
 3 files changed, 36 insertions(+), 1 deletion(-)

diff --git a/dev-python/prettytable/Manifest b/dev-python/prettytable/Manifest
index aba68b89708..2c9448eed92 100644
--- a/dev-python/prettytable/Manifest
+++ b/dev-python/prettytable/Manifest
@@ -1 +1,2 @@
 DIST prettytable-0.7.2.tar.bz2 21755 BLAKE2B 
385d5bd6d4ab75a8c7ae96abc9d9e98a66a196265853113e7fb59073876e9f5e9c6c4fba9a30d80cc726a5184e78fb6451ff9a553909704fcc5022b6a08413f4
 SHA512 
f3a3fe6fa29f4ef090ff6cac06549ebd9db8b387e7b25fc64c4e37c8444586f50355c5573f38caabc72360aa68054aa189a67aa37f0bd13b872862ecd9151e71
+DIST prettytable-2.0.0.tar.gz 43072 BLAKE2B 
2293d0377f0bbef925014812cf0cd3702ef4f651927302012df44e829dd9ea249d03ddaee32f9313f3d001900e92df9a3be8812c8fc573624d308fa5c40a858a
 SHA512 
b7c47df7d85a91e9518dea8dafcb27037e5cde81f59dd2b9e9468ae44b18431dd7d943fed487d5713e2c5aa25df76a8eb6587d045f73b8f25f53715a8a2085fc

diff --git a/dev-python/prettytable/metadata.xml 
b/dev-python/prettytable/metadata.xml
index 567af444478..39f76486a1e 100644
--- a/dev-python/prettytable/metadata.xml
+++ b/dev-python/prettytable/metadata.xml
@@ -11,6 +11,7 @@
   </maintainer>
   <upstream>
     <remote-id type="google-code">prettytable</remote-id>
-    <remote-id type="pypi">PrettyTable</remote-id>
+    <remote-id type="pypi">prettytable</remote-id>
+    <remote-id type="github">jazzband/prettytable</remote-id>
   </upstream>
 </pkgmetadata>

diff --git a/dev-python/prettytable/prettytable-2.0.0.ebuild 
b/dev-python/prettytable/prettytable-2.0.0.ebuild
new file mode 100644
index 00000000000..9ac1fd588c7
--- /dev/null
+++ b/dev-python/prettytable/prettytable-2.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Easily displaying tabular data in a visually appealing ASCII 
table format"
+HOMEPAGE="https://github.com/jazzband/prettytable 
https://pypi.org/project/prettytable";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+RDEPEND="
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               $(python_gen_impl_dep sqlite)
+       )"
+
+distutils_enable_tests pytest
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}

Reply via email to